Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.metadata
Class ManagedOperation

    java.lang.Object
      org.springframework.jmx.export.metadata.AbstractJmxAttribute
          org.springframework.jmx.export.metadata.ManagedOperation

    public class ManagedOperation

extends AbstractJmxAttribute

Metadata that indicates to expose a given method as JMX operation. Only valid when used on a method that is not a JavaBean getter or setter.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MetadataMBeanInfoAssembler`, `MBeanExporter`

Constructor Summary
`ManagedOperation()`

Method Summary

Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute
`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedOperation

    public ManagedOperation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD